Documentation Index

Fetch the complete documentation index at: https://docs.processmaker.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns all processes categories that the user has access to

Prev Next
Get
/process_categories

Display a listing of the Process Categories.

Security
OAuth

Laravel passport oauth2 security.

FlowAuthorization Code
Authorization URL/oauth/authorize
Token URL/oauth/token
Refresh URL/token/refresh
Query parameters
filter
string

Filter results by string. Searches Name and Status. All fields must match exactly.

order_by
string

Field to order results by

order_direction
string
Valid values[ "asc", "desc" ]
Default"asc"
per_page
integer
Default10
Responses
200

list of processes categories

Expand All
object
data
Array of object (ProcessCategory)
object
name
string

Represents a business process category definition.

status
string
Valid values[ "ACTIVE", "INACTIVE" ]
id
string (id)
created_at
string (date-time)
updated_at
string (date-time)
meta
object